package com.qmth.boot.data.upgrade.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * 数据升级版本注解类
 *
 * @author: Deason
 * @since: 2025/3/3
 */
@Documented
@Target({ElementType.TYPE})
@Retention(RUNTIME)
public @interface DataUpgradeVersion {

    /**
     * 匹配版本号，格式如：1.0.0
     */
    String value();

}
